Skip to main content

Get all payout

GET 

/v1/payout

Tag: api-payments-gateway-get-payout-allDescription: Retrieve all payouts for the authenticated user by payout type, with an optional country filter and pagination.

Request​

Query Parameters

    page number

    Page number, starting from 1. Default is 1.

    sort string

    Field to sort the results by.

    country stringrequired

    Possible values: [BRA, ARG, CHL, PER]

    type stringrequired

    Possible values: [CREDIT_CARD, DEBIT_CARD, CASH, BANK_TRANSFER]

Header Parameters

    x-wallet-uuid string

    Sender Wallet UUID (if empty, your default Wallet UUID will be settled)

    nonce stringrequired

    The nonce ID is a UUID (v4) used to uniquely identify the request. All requests must have an identifier.

    x-lang string

    Possible values: [pt-BR, en-US]

    Indicates the preferred language. Defaults to Brazilian Portuguese if unspecified.

    x-product-uuid string

    The product ID is a UUID (v4) used to identify the Z.ro product configuration.

    x-product-target-user-uuid string

    The product target user ID is a UUID (v4) used to identify what user account this request must be executed. Require: x-product-uuid.

Responses​

Payouts retrieved successfully.

Schema
    oneOf
    page numberrequired

    Page number.

    page_size numberrequired

    Page size.

    page_total numberrequired

    Page total.

    total numberrequired

    Total of elements.

    data object[]required

    List of bank transfer payments.

  • Array [
  • id stringrequired

    Payout ID.

    operation_id string

    Operation ID associated with the transaction.

    country objectrequired

    Country of the transaction.

    status objectrequired

    Status of the transaction.

    amount numberrequired

    Amount of the transaction.

    currency_tag objectrequired

    Currency tag of the transaction.

    third_part_name stringrequired

    Third party's first name.

    third_part_last_name stringrequired

    Third party's last name.

    third_part_email string

    Third party's email address.

    third_part_phone stringrequired

    Third party's phone number.

    third_part_document stringrequired

    Third party's document number.

    third_part_document_type objectrequired

    Third part document type.

    third_part_address_zip_code stringrequired

    Third party's address zip code.

    third_part_address_street stringrequired

    Third party's address street.

    third_part_address_number stringrequired

    Third party's address number.

    third_part_address_city stringrequired

    Third party's address city.

    third_part_address_state stringrequired

    Third party's address state.

    third_part_address_country stringrequired

    Third party's address country.

    third_part_address_complement string

    Third party's address complement.

    third_part_bank_code stringrequired

    Third party's bank code.

    third_part_account_type stringrequired

    Possible values: [SA, CA, CP]

    Third party's account type.

    third_part_account_number stringrequired

    Third party's account number.

    authorized_date date-time

    Date when the transaction was authorized.

    failed_date date-time

    Date when the transaction failed.

    created_at date-timerequired

    Creation date of the transaction record.

    updated_at date-timerequired

    Last update date of the transaction record.

  • ]
Loading...